package com.kmall.common.utils.print.ticket.item;

import java.io.Serializable;

/**
 * 收银信息
 *
 * @author Scott Chen
 * @since 1.0
 * 2018-10-30
 */
public class CashInfo implements Serializable {

    private static final long serialVersionUID = 5573772493011494943L;

    // 商品总额
    private String total;
    // 商品总数
    private String goodsTotal;

    // 实收款
    private String receipts;
    // 找零
    private String oddChange;
    // 优惠券
    private String coupon;
    // 积分
    private String integral;
    // 运费
    private String freight;

    // 支付方式
    private String paymentType;
    // 支付方式名称
    private String paymentMode;


    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public String getGoodsTotal() {
        return goodsTotal;
    }

    public void setGoodsTotal(String goodsTotal) {
        this.goodsTotal = goodsTotal;
    }

    public String getReceipts() {
        return receipts;
    }

    public void setReceipts(String receipts) {
        this.receipts = receipts;
    }

    public String getOddChange() {
        return oddChange;
    }

    public void setOddChange(String oddChange) {
        this.oddChange = oddChange;
    }

    public String getCoupon() {
        return coupon;
    }

    public void setCoupon(String coupon) {
        this.coupon = coupon;
    }

    public String getIntegral() {
        return integral;
    }

    public void setIntegral(String integral) {
        this.integral = integral;
    }

    public String getFreight() {
        return freight;
    }

    public void setFreight(String freight) {
        this.freight = freight;
    }

    public String getPaymentType() {
        return paymentType;
    }

    public void setPaymentType(String paymentType) {
        this.paymentType = paymentType;
    }

    public String getPaymentMode() {
        return paymentMode;
    }

    public void setPaymentMode(String paymentMode) {
        this.paymentMode = paymentMode;
    }
}
